from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XComponent

@runtime_checkable
class XFrame(XComponent, Protocol):
    def initialize(self, xWindow: XWindow) -> None: ...
    def getContainerWindow(self) -> XWindow: ...
    def setCreator(self, Creator: XFramesSupplier) -> None: ...
    def getCreator(self) -> XFramesSupplier: ...
    def getName(self) -> str: ...
    def setName(self, aName: str) -> None: ...
    def findFrame(self, aTargetFrameName: str, nSearchFlags: int) -> XFrame: ...
    def isTop(self) -> bool: ...
    def activate(self) -> None: ...
    def deactivate(self) -> None: ...
    def isActive(self) -> bool: ...
    def setComponent(self, xComponentWindow: XWindow, xController: XController) -> bool: ...
    def getComponentWindow(self) -> XWindow: ...
    def getController(self) -> XController: ...
    def contextChanged(self) -> None: ...
    def addFrameActionListener(self, xListener: inXFrameActionListener) -> None: ...
    def removeFrameActionListener(self, xListener: XFrameActionListener) -> None: ...
